import { Error } from "gracely";
import { Token } from "authly";
import { Trigger } from "smoothly";
import { MerchantKey } from "../model";
export declare class PayfuncCardInput {
  frame: HTMLSmoothlyFrameElement;
  apiKey: string;
  state: "failed" | "succeeded" | "processing" | "created";
  value?: Token;
  verify?: {
    show?: boolean;
    url: string;
    data: Record<string, string>;
  };
  cosmetic?: string | {
    text?: {
      background?: string;
      color?: string;
    };
    border?: {
      color?: string;
      width?: string;
      style?: string;
      radius?: string;
    };
    fontFamily?: string;
    dangerColor?: string;
    gap?: string;
    background?: string;
  };
  layout: "row" | "column" | "standard";
  theme?: string;
  private received?;
  merchant?: MerchantKey;
  private responseTimer?;
  componentWillLoad(): Promise<void>;
  verifyTimer(): void;
  handleTrigger(event: CustomEvent<Trigger>): Promise<void>;
  submit(input: Token | undefined, error?: Error): Promise<Token | Error | undefined>;
  getCustomCssVariables(): Record<string, string>;
  render(): any;
}
